Name:           gsutil
Version:        4.15
Release:        %mkrel 2
Url:            https://developers.google.com/storage/docs/gsutil
Summary:        Access Google Cloud Storage from the command line
License:        ASL 2.0
Group:          Networking/Other
Source:         http://storage.googleapis.com/pub/%{name}_%{version}.tar.gz
Patch0:		gsutil_4.15-deps.patch
BuildArch:      noarch
BuildRequires:  python-setuptools

%description
gsutil is a Python application that lets you access Google Cloud Storage 
from the command line. You can use gsutil to do a wide range of bucket and
object management tasks, including:

- Creating and deleting buckets.
- Uploading, downloading, and deleting objects.
- Listing buckets and objects.
- Moving, copying, and renaming objects.
- Editing object and bucket ACLs.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%py2_build

%install
%py2_install

%files
%doc CHANGES.md README.md
%{_bindir}/%{name}
%{python_sitelib}/gslib
%{python_sitelib}/%{name}-%{version}*.egg-info


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 4.15-2.mga6
+ Revision: 971297
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 pterjan <pterjan> 4.15-1.mga6
+ Revision: 890552
- Update to 4.15

* Wed Oct 15 2014 umeabot <umeabot> 3.38-5.mga5
+ Revision: 746976
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.38-4.mga5
+ Revision: 726451
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.38-3.mga5
+ Revision: 679990
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.38-2.mga5
+ Revision: 628242
- Rebuild for new Python

* Mon Dec 09 2013 pterjan <pterjan> 3.38-1.mga4
+ Revision: 556004
- Soften dependency versions
- imported package gsutil

